<input file>

File to load

--model [resnet50|inceptionv3|alexnet]

Load model

--onnx

Load as onnx

--tf

Load as tensorflow

--migraphx

Load as MIGraphX

--migraphx-json

Load as MIGraphX JSON

--batch [unsigned int] (Default: 1)

Set batch size for model

--nhwc

Treat tensorflow format as nhwc

--skip-unknown-operators

Skip unknown operators when parsing and continue to parse.

--nchw

Treat tensorflow format as nchw

--trim, -t [unsigned int]

Trim instructions from the end (Default: 0)

--input-dim [std::vector<std::string>]

Dim of a parameter (format: “@name d1 d2 dn”)

--optimize, -O

Optimize when reading

--graphviz, -g

Print out a graphviz representation.

--brief

Make the output brief.

--cpp

Print out the program as cpp program.

--json

Print out program as json.

--text

Print out program in text format.

--binary

Print out program in binary format.

--output, -o [std::string]

Output to file.